For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get Contact Field

Get a contact Field by ID

get
Authorizations
Api-TokenstringRequired

Pass the API token in the Api-Token

Path parameters
field_idinteger · int64 · min: 1Required

Unique Contact Field ID

Example: 3229
Responses
200

Returns attributes of the contact field.

application/json
idintegerOptional
namestring · max: 80Optional
data_typestring · enumOptionalPossible values:
merge_tagstring · max: 80Optional

Personalize your campaigns by adding a merge tag. This field will be replaced with unique contact details for each recipient.

get/api/contacts/fields/{field_id}
curl -X GET https://mailtrap.io/api/contacts/fields/{field_id} \
  -H 'Authorization: Bearer YOUR_API_KEY'
{
  "id": 26730,
  "name": "My Contact Field",
  "data_type": "text",
  "merge_tag": "my_contact_field"
}

Last updated

Was this helpful?